Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1357

Summary: timetool breaks on feb 29, 2000
Product: [Retired] Red Hat Linux Reporter: Matthew Galgoci <mgalgoci>
Component: timetoolAssignee: Preston Brown <pbrown>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-03-09 21:04:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthew Galgoci 1999-02-27 01:16:38 UTC
Timetool does not show the correct date after midnight on
feb 28, 2000. Instead of rolling around to Feb 29, 2000, it
rolls to March 1, 2000 The system clock is unaffected.

Comment 1 David Lawrence 1999-03-02 22:25:59 UTC
I have verfied this to happen on a machine in the test lab.

Comment 2 Preston Brown 1999-03-09 21:04:59 UTC
fixed as of timetool 2.5 (rawhide)

Comment 3 openshift-github-bot 2015-03-18 18:00:03 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/337ebdb8f6c0815943da5eeec4f5a2c3e9cd03a7
Merge pull request #1359 from sdodson/issue1357

Merged by openshift-bot